Zum Inhalt springen
Bpanda
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Remove elements from the element settings.

Remove elements from the element settings. Remove a list of architecture elements from the element settings of a warehouse

Security: Manager of the process space.

DELETE/v1/warehouses/{warehouseId}/preferences/architecture/elements
Autorisierung
AuthorizationBearer-Token (JWT) · headererforderlich
BpmLicenseAPI-Schlüssel · headererforderlich
Pfadparameter
warehouseIdstringerforderlich

ID of warehouse

Request-Body
erforderlichapplication/json

Array of element keys

Array von ArchitectureElementType
string
Antworten
200

The element settings that remain

Array von ArchitectureElementSetting
activatedActionStamperforderlich
Eigenschaften anzeigen
instantstring<date-time>erforderlich
userIdstringerforderlich
conceptualClassArchitectureElementTypeerforderlich
Erlaubt:ApplicationCollaborationApplicationComponentApplicationEventApplicationFunctionApplicationInteractionApplicationInterfaceApplicationProcessApplicationServiceArchitectureElementArtifactAssessmentBusinessActorBusinessCollaborationBusinessEventBusinessFunctionBusinessInteractionBusinessInterfaceBusinessObjectBusinessProcessBusinessRoleBusinessServiceCapabilityCommunicationNetworkCommunicationPathConstraintContractCourseOfActionDataObjectDeliverableDeviceDistributionNetworkDriverEquipmentFacilityGapGoalGroupingImplementationEventLocationMaterialMeaningNodeOutcomePlateauPrincipleProductRepresentationRequirementResourceStakeholderSystemSoftwareTechnologyCollaborationTechnologyEventTechnologyFunctionTechnologyInteractionTechnologyInterfaceTechnologyProcessTechnologyServiceValueValueStreamWorkPackage
requiredFeaturesstring[]erforderlich
400

Unknown or required element type

string
403

Forbidden: insufficient permissions

string
Ausprobieren
Server
Autorisierung
Parameter
Bodyapplication/json
Anfrage
curl -X DELETE 'https://goto.bpanda.com/api/v1/warehouses/string/preferences/architecture/elements' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'BpmLicense: YOUR_API_KEY' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '[
  "ApplicationCollaboration"
]'
Antwort
[
  {
    "activated": {
      "instant": "2019-08-24T14:15:22Z",
      "userId": "string"
    },
    "conceptualClass": "ApplicationCollaboration",
    "requiredFeatures": [
      "string"
    ]
  }
]